#include "and_cdt.h"

namespace roy {

    namespace ih {

        and_cdt::and_cdt(const ref_ptr_Cdt& cdt1, const ref_ptr_Cdt& cdt2)
            : bi_cdt(cdt1, cdt2)
        {
        }

        bool and_cdt::is_valid(void)
        {
            return _cdt[0]->is_valid() && _cdt[1]->is_valid();
        }

    }

}